@import "../../../style.scss";
:root {
  --PrimaryColor: hsl(94, 59%, 35%);
  --HoverColor: #bdf094;
  --paleGreen: hsl(96, 75%, 89%);
  --whiteColor: hsl(0, 0%, 100%);
  --blackColor: hsl(0, 3%, 6%);
  --textColor: hsl(240, 1%, 48%);
  --bgColor: hsl(220, 10%, 94%);
  --greyText: rgb(190, 190, 190);
  --inputColor: hsl(330, 12%, 97%);

  --biggestFontSize: 2.5rem;
  --h1FontSize: 1.5rem;
  --h2fontSize: 1.25rem;
  --h3FontSize: 1rem;
  --normalFontSize: 0.938rem;
  --smallFontSize: 0.813rem;
  --smallestFontSize: 0.75rem;
}

.mainContent {
  padding: 20px;
  border-radius: 10px;
  width: 100%;
  border: 1px solid #ddd;
  margin-bottom: 20px;

  .post {
    // -webkit-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
    -moz-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
    // box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);

    // @include themify($themes) {
    //   -webkit-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
    //   -moz-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
    //   box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
    //   border-radius: 20px;
    //   background-color: themed("bg");
    //   color: themed("textColor");
    // }
    .post-info {
      padding: 20px;
      border: 1px solid #ccc;
      border-radius: 8px;
      .user {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 40px;

        .userInfo {
          display: flex;
          gap: 20px;
          align-items: center;

          img {
            width: 50px;
            margin-top: 12px;
            border-radius: 50%;
            object-fit: cover;
          }

          .user-details {
            display: flex;
            flex-direction: column;
            margin-top: 10px;

            .name {
              font-weight: 600;
              font-size: 1.5rem;
            }

            .date {
              font-size: 1.1rem;
            }
          }
        }
      }

      .content {
        margin-top: 40px;

        .location {
          margin-left: 5px;
          font-size: 1.4rem;
          color: var(--PrimaryColor);
          display: flex;
          align-items: center;
          gap: 10px;
          font-weight: 600;
        }
        img {
          width: 100%;
          max-height: 500px;
          object-fit: cover;
          margin-top: 20px;
        }
        p {
          font-size: 1.3rem;
        }
      }

      .info .lst_icon {
        display: flex;
        align-items: center;
        gap: 20px;
        margin-top: 16px;

        .item {
          display: flex;
          align-items: center;
          gap: 10px;
          cursor: pointer;
          font-size: 1.4rem;
          padding: 5px;
        }
      }
    }

    .post-action {
      cursor: pointer;
    }
  }
}
